sdr::LogMessage Class Reference

A log message. More...

`#include <logger.hh>`

Inheritance diagram for sdr::LogMessage:

## Public Member Functions

| LogMessage (LogLevel level, const std::string &msg="")
| Constructor. More...
| LogMessage (const LogMessage &other)
| Copy constructor. More...
virtual | ~LogMessage ()
| Destructor. More...
LogLevel | level () const
| Returns the level of the message. More...
std::string | message () const
| Returns the message. More...

## Protected Attributes

LogLevel | _level
| The level of the message. More...

## Detailed Description

A log message.

Bundles a message with a level.

## Constructor & Destructor Documentation

LogMessage::LogMessage | ( | LogLevel | level,
|  | const std::string & | msg = `""`
| ) |  |

Constructor.

Parameters

  level | Specified the log-level of the message.
  msg | An optional message.

LogMessage::LogMessage | ( | const LogMessage & | other | ) |

Copy constructor.

LogMessage::~LogMessage | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

LogLevel LogMessage::level | ( |  | ) | const

Returns the level of the message.

std::string sdr::LogMessage::message | ( |  | ) | const

inline

Returns the message.

## Member Data Documentation

LogLevel sdr::LogMessage::_level

protected

The level of the message.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/logger.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/logger.cc